Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041711
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-08-28 13:332019-09-04 16:37
ReporterSandrahuguetView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisiondbb465c9f73a
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041711: Subquery in getDocumentNo in ReportGeneralLedgerJournal is not using bind-params

DescriptionSubquery in getDocumentNo in ReportGeneralLedgerJournal is not using bind-params

final String existsSubQuery = "( select 1 "
+ " from " + tablename + " dt "
+ " where f.record_id = dt." + tablename + "_id"
+ " and dt.documentno = '" + documentNo + "' )";
Steps To ReproduceTest Plan
Go to Journal Entries Report and set:
    Organization: Region Norte
    General Ledger: F&B España
    From: 01-07-2018
    To: 24-07-2019
    From Account: (43000) Clientes (euros) a corto plazo
    To Account: (47700) Hacienda Pública IVA repercutido
    Document: AR Invoice
    DocumentNo: 1000259
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 
related to defect 00412523.0PR19Q4 closedcollazoandy4 ReportGeneralLedgerJournal.getDocuments is not using bind-params 
depends on backport 00417123.0PR19Q3.1 closedTriage Finance Subquery in getDocumentNo in ReportGeneralLedgerJournal is not using bind-params 
depends on backport 00417133.0PR19Q2.3 closedTriage Finance Subquery in getDocumentNo in ReportGeneralLedgerJournal is not using bind-params 

-  Notes
(0114353)
collazoandy4 (developer)
2019-09-02 01:06

Test Plan
  Go to Journal Entries Report and filter by
    Document: AR Invoice
    Document No: 1000259
    Click on Search button and check that only one entry for 12-07-2018 is shown
  Go to Sales Invoice and create a new record:
    Business Partner: Alimentos y Supermercados, S.A
    Document No: 1000259
    Create a new record in Lines tab:
      Product: Agua sin Gas 1L
      Invoiced Quantity: 10
    Complete and Post the invoice
  Go to Journal Entries Report and filter by
    Document: AR Invoice
    Document No: 1000259
    Click on Search button and check that two entries are shown, one for 12-07-2018 and another for today
(0114391)
hgbot (developer)
2019-09-04 11:06

Repository: erp/devel/pi
Changeset: dbb465c9f73a02b44b158f61dfcbcc5a2d0ebb6a
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Sun Sep 01 16:47:46 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/dbb465c9f73a02b44b158f61dfcbcc5a2d0ebb6a [^]

Fixes issue 41711: Subquery in getDocumentNo in ReportGeneralLedgerJournal is
not using bind-params

Added the missing bind-params
Now all documents id with the same documentNo is used to filter the accounting records

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal_data.xsql
---
(0114394)
Sandrahuguet (developer)
2019-09-04 11:08

code review + testing ok
(0114403)
hudsonbot (developer)
2019-09-04 16:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2e882fde1e88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-08-28 13:33 Sandrahuguet New Issue
2019-08-28 13:33 Sandrahuguet Assigned To => platform
2019-08-28 13:33 Sandrahuguet Modules => Core
2019-08-28 13:33 Sandrahuguet Triggers an Emergency Pack => No
2019-08-28 13:33 Sandrahuguet Assigned To platform => Triage Finance
2019-08-28 13:34 Sandrahuguet Category C. Security => 09. Financial management
2019-08-28 13:35 Sandrahuguet Summary Subquery in getDocumentNo is not using bind-params => Subquery in getDocumentNo in ReportGeneralLedgerJournal is not using bind-params
2019-08-28 13:35 Sandrahuguet Description Updated View Revisions
2019-08-28 13:35 Sandrahuguet Relationship added related to 0038136
2019-08-28 13:36 Sandrahuguet Relationship added related to 0041452
2019-08-28 13:38 Sandrahuguet Reproducibility have not tried => always
2019-08-28 13:40 Sandrahuguet Status new => scheduled
2019-08-28 14:01 Sandrahuguet Relationship added related to 0041252
2019-08-28 14:01 Sandrahuguet Relationship deleted related to 0041452
2019-08-30 15:05 Sandrahuguet Assigned To Triage Finance => collazoandy4
2019-09-02 01:06 collazoandy4 Note Added: 0114353
2019-09-04 11:06 hgbot Checkin
2019-09-04 11:06 hgbot Note Added: 0114391
2019-09-04 11:06 hgbot Status scheduled => resolved
2019-09-04 11:06 hgbot Resolution open => fixed
2019-09-04 11:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dbb465c9f73a02b44b158f61dfcbcc5a2d0ebb6a [^]
2019-09-04 11:08 Sandrahuguet Review Assigned To => Sandrahuguet
2019-09-04 11:08 Sandrahuguet Note Added: 0114394
2019-09-04 11:08 Sandrahuguet Status resolved => closed
2019-09-04 11:08 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-09-04 16:37 hudsonbot Checkin
2019-09-04 16:37 hudsonbot Note Added: 0114403


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker